Bug 330311 - (perl-Class-Date) Review Request: perl-Class-Date - Class for easy date and time manipulation
Review Request: perl-Class-Date - Class for easy date and time manipulation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 20:08 EDT by Brendt Wohlberg
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 22:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendt Wohlberg 2007-10-12 20:08:03 EDT
Spec URL: http://www.wohlberg.net/public/software/perl-Class-Date.spec
SRPM URL: http://www.wohlberg.net/public/software/perl-Class-Date-1.1.9-1.fc7.src.rpm
Description: This module is intended to provide a general-purpose date and datetime type for perl. You have a Class::Date class for absolute date and date-time, and have a Class::Date::Rel class for relative dates.

This package is rpmlint clean, and build in mock with no problems. I have attempted to translate the source license "This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself" into one of the available options for the spec file license field, but comments from an experience Perl module packager would be helpful.
Comment 1 Chris Weyl 2007-10-14 23:33:49 EDT
Note that the first 5 lines are canonically done in %prep, not build.

This package needs to own all directories it creates under %{perl_vendorarch},
e.g.

 %{perl_vendorarch}/Class/Date.p*
 %{perl_vendorarch}/Class/Date

Should properly be

 %{perl_vendorarch}/*

in %files

Move prep content from %build to %prep, update %files, and I'll approve :)

+ source files match upstream:
 12f21e05e46d05fd0339f1c02b9b3318  Class-Date-1.1.9.tar.gz
 12f21e05e46d05fd0339f1c02b9b3318  Class-Date-1.1.9.tar.gz.srpm
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock (7/x86_64).
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Class-Date-1.1.9-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 Date.so()(64bit)
 perl(Class::Date) = 1.1.9
 perl(Class::Date::Const)
 perl(Class::Date::Invalid)
 perl(Class::Date::Rel)
 perl-Class-Date = 1.1.9-1.fc6
 == requires
 perl >= 0:5.005_03
 perl(:MODULE_COMPAT_5.8.8)
 perl(Carp)
 perl(Class::Date::Const)
 perl(DynaLoader)
 perl(Exporter)
 perl(Time::Local)
 perl(UNIVERSAL)
 perl(constant)
 perl(overload)
 perl(strict)
 perl(vars)
 ** perl-Class-Date-debuginfo-1.1.9-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 Date.so.debug()(64bit)
 perl-Class-Date-debuginfo = 1.1.9-1.fc6
 == requires
+ %check is present and all tests pass:
All tests successful.
Files=5, Tests=175,  0 wallclock secs ( 0.25 cusr +  0.10 csys =  0.35 CPU)
+ no shared libraries are added to the regular linker search paths.
X owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 2 Brendt Wohlberg 2007-10-15 20:33:51 EDT
Thanks for the review. Please see new spec
http://www.wohlberg.net/public/software/perl-Class-Date.spec
and SRPM http://www.wohlberg.net/public/software/perl-Class-Date-1.1.9-2.fc7.src.rpm
Comment 3 Chris Weyl 2007-10-15 20:56:16 EDT
APPROVED
Comment 4 Brendt Wohlberg 2007-10-15 22:52:33 EDT
New Package CVS Request
=======================
Package Name: perl-Class-Date
Short Description: Class for easy date and time manipulation
Owners: brendt
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-10-16 12:00:12 EDT
cvs done.
Comment 6 Fedora Update System 2007-10-17 22:30:33 EDT
perl-Class-Date-1.1.9-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.